Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api.common.domain.impl
Class ValidationErrorImpl

    java.lang.Object
      com.jaspersoft.jasperserver.api.common.domain.impl.ValidationErrorImpl

All Implemented Interfaces:
  ValidationError, java.io.Serializable

    public class ValidationErrorImpl

extends java.lang.Object
implements ValidationError, java.io.Serializable

Version:
  $Id: ValidationErrorImpl.java 8408 2007-05-29 23:29:12Z melih $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)
See Also:
  Serialized Form

Constructor Summary
`ValidationErrorImpl(java.lang.String errorCode, java.lang.Object[] arguments, java.lang.String defaultMessage)`
`ValidationErrorImpl(java.lang.String errorCode, java.lang.Object[] arguments, java.lang.String defaultMessage, java.lang.String field)`

Method Summary
`java.lang.String` | `getDefaultMessage()`
`java.lang.Object[]` | `getErrorArguments()`
`java.lang.String` | `getErrorCode()`
`java.lang.String` | `getField()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ValidationErrorImpl

    public ValidationErrorImpl(java.lang.String errorCode,
                               java.lang.Object[] arguments,
                               java.lang.String defaultMessage,
                               java.lang.String field)

### ValidationErrorImpl

    public ValidationErrorImpl(java.lang.String errorCode,
                               java.lang.Object[] arguments,
                               java.lang.String defaultMessage)

Method Detail

### getErrorCode

    public java.lang.String getErrorCode()

  Specified by:
    `getErrorCode` in interface `ValidationError`

### getErrorArguments

    public java.lang.Object[] getErrorArguments()

  Specified by:
    `getErrorArguments` in interface `ValidationError`

### getDefaultMessage

    public java.lang.String getDefaultMessage()

  Specified by:
    `getDefaultMessage` in interface `ValidationError`

### getField

    public java.lang.String getField()

  Specified by:
    `getField` in interface `ValidationError`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.